Skip to main content
GET
List Inference Top Agents

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

id
string
required

The id field.

Query Parameters

bucket
enum<string>

The bucket field.

Available options:
TB_TIME_BUCKET_UNSPECIFIED,
TB_TIME_BUCKET_HOUR,
TB_TIME_BUCKET_DAY
dimension
enum<string>

The dimension field.

Available options:
TB_USAGE_ATTRIBUTION_DIMENSION_UNSPECIFIED,
TB_USAGE_ATTRIBUTION_DIMENSION_TEAM,
TB_USAGE_ATTRIBUTION_DIMENSION_APPLICATION,
TB_USAGE_ATTRIBUTION_DIMENSION_AGENT,
TB_USAGE_ATTRIBUTION_DIMENSION_COST_CENTER
page_size
integer<int32>

The pageSize field.

page_token
string

The pageToken field.

since
string<int64>

The since field.

until
string<int64>

The until field.

Response

200 - application/json

Successful response

The EdgeServiceListInferenceTopAgentsResponse message.

agents
Tb Top Agent · object[] | null

Ordered by call_count descending, limited to page_size. No pagination cursor -- this is a fixed top-N, not a full list.